# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           opendap
Version:        2.2
Release:	1%{?dist}
Epoch:          0
Summary:        Project for a Network Data Access Protocol
Group:          Development/Libraries/Java
License:        LGPL
URL:            http://www.opendap.org/
Source0:        opendap-2.2.tgz
# svn export http://scm.opendap.org:8090/svn/trunk/Java-OPeNDAP/ opendap-2.2
# tar czf opendap-2.2.tgz opendap-2.2/

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant
BuildRequires:  apache-mime4j
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-logging
BuildRequires:  gnu-getopt
BuildRequires:  gnu-regexp
BuildRequires:  hc-httpclient
BuildRequires:  hc-httpcore
BuildRequires:  jdom
BuildRequires:  junit4
BuildRequires:  servlet_2_4_api
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis

Requires:  java >= 0:1.6.0
Requires:  apache-commons-httpclient
Requires:  jdom
Requires:  junit4
Requires:  servlet_2_4_api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
OPeNDAP is a framework that simplifies all aspects of 
scientific data networking.
OPeNDAP provides software which makes local data accessible
to remote locations regardless of local storage format.
OPeNDAP also provides tools for transforming existing
applications into OPeNDAP clients (i.e., enabling them to
remotely access OPeNDAP served data).

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep 
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath apache-mime4j) lib/apache-mime4j-0.6.jar
ln -sf $(build-classpath commons-codec) lib/commons-codec-1.3.jar
ln -sf $(build-classpath commons-httpclient) lib/commons-httpclient-3.0.1.jar
ln -sf $(build-classpath commons-logging) lib/commons-logging-1.1.jar
ln -sf $(build-classpath gnu-getopt) lib/gnu-getopt-1.0.6.jar
ln -sf $(build-classpath gnu-regexp) lib/gnu-regexp-1.1.4.jar
ln -sf $(build-classpath httpcomponents/httpclient) lib/httpclient-4.1.jar
ln -sf $(build-classpath httpcomponents/httpcore) lib/httpcore-4.1.jar
ln -sf $(build-classpath httpcomponents/httpmime) lib/httpmime-4.1.jar
ln -sf $(build-classpath jdom) lib/jdom-1.0.jar
ln -sf $(build-classpath junit4) lib/junit-4.4.jar
ln -sf $(build-classpath servlet_2_4_api) lib/tomcat-5.5.20_servlet-api.jar
ln -sf $(build-classpath xerces-j2) lib/xercesImpl-2.9.0.jar
ln -sf $(build-classpath xml-commons-jaxp-1.3-apis) lib/xml-apis-2.9.0.jar


%build
ant -Dbuild.sysclasspath=first distribution

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -m 644 build/lib/%{name}-%{version}.jar \
           %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
ln -s ${jar} ${jar/-%{version}/}; done)

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf build/doc/javadoc

# manual
install -dm 755 %{buildroot}%{_docdir}/%{name}-%{version}
cp -pr build/doc/* %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}*.jar
%{_docdir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Oct 16 2010 Ralph Apel <r.apel@r-apel.de> 2.2-1
- first release

